using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFaultType {
        public BemsFaultType() {
            BemsFaultServerityLevel = new HashSet<BemsFaultServerityLevel>();
        }

        //고장진단 결함타입
        [Display(Name = "결함타입"), Key]
        public int FaultTypeId { get; set; }
        [Display(Name = "결함명"), Required]
        [StringLength(50)]
        public string Name { get; set; }

        [InverseProperty("FaultType")]
        public virtual ICollection<BemsFaultServerityLevel> BemsFaultServerityLevel { get; set; }
    }
}
